Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200702-11 ] MPlayer: Buffer overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1613

PostPosted: Tue Feb 27, 2007 3:26 pm    Post subject: [ GLSA 200702-11 ] MPlayer: Buffer overflow Reply with quote

Gentoo Linux Security Advisory

Title: MPlayer: Buffer overflow (GLSA 200702-11)
Severity: normal
Exploitable: remote
Date: February 27, 2007
Bug(s): #159727
ID: 200702-11

Synopsis

A buffer overflow was found in MPlayer's RTSP plugin that could lead to a Denial of Service or arbitrary code execution.

Background

MPlayer is a media player capable of playing multiple media formats.

Affected Packages

Package: media-video/mplayer
Vulnerable: < 1.0_rc1-r2
Unaffected: >= 1.0_rc1-r2
Architectures: All supported architectures


Description

When checking for matching asm rules in the asmrp.c code, the results are stored in a fixed-size array without boundary checks which may allow a buffer overflow.

Impact

An attacker can entice a user to connect to a manipulated RTSP server resulting in a Denial of Service and possibly execution of arbitrary code.

Workaround

There is no known workaround at this time.

Resolution

All MPlayer users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=media-video/mplayer-1.0_rc1-r2"


References

Original Advisory
CVE-2006-6172
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum